#!/usr/bin/env python
# coding: utf8

import argparse
from musique.basicsynth import BasicSequenceur
from musique.exercice import GenerateurExercice
from musique.gamme import GammeTemperee

parser = argparse.ArgumentParser(description='Génère des documents à partir de la partition de "la lettre à Élise".')
parser.add_argument('--exercice-spectrogramme', help="Génère un exercice plutôt que le fichier son", dest='exerciceSpectrogramme', action='store_true',default=False)
parser.add_argument('--boomwhackers', help="Génère un exercice plutôt que le fichier son", dest='boomwhackers', nargs=1)

args = parser.parse_args()

gamme = GammeTemperee(95)


boomwhackers = ""
if not args.boomwhackers is None:
  boomwhackers = args.boomwhackers[0]


elise =  [
          [ [gamme.mi(3), gamme.doublecroche], 
          [gamme.red(3), gamme.doublecroche],
          [gamme.mi(3), gamme.doublecroche],
          [gamme.red(3), gamme.doublecroche],
          [gamme.mi(3), gamme.doublecroche],
          [gamme.si(2), gamme.doublecroche],
          [gamme.re(3), gamme.doublecroche],
          [gamme.do(3), gamme.doublecroche],
          [gamme.la(2), gamme.croche],
          [gamme.silence(), gamme.doublecroche],
          [gamme.do(2), gamme.doublecroche],
          [gamme.mi(2), gamme.doublecroche],
          [gamme.la(2), gamme.doublecroche],
          [gamme.si(2), gamme.croche],
          [gamme.silence(), gamme.doublecroche],
          [gamme.mi(2), gamme.doublecroche],
          [gamme.sold(2), gamme.doublecroche],
          [gamme.si(2), gamme.doublecroche],
          [gamme.do(3), gamme.croche],
          [gamme.silence(), gamme.doublecroche],
          [gamme.mi(2), gamme.doublecroche],
          [gamme.mi(3), gamme.doublecroche],
          [gamme.red(3), gamme.doublecroche],
          [gamme.mi(3), gamme.doublecroche],
          [gamme.red(3), gamme.doublecroche],
          [gamme.mi(3), gamme.doublecroche],
          [gamme.si(2), gamme.doublecroche],
          [gamme.re(3), gamme.doublecroche],
          [gamme.do(3), gamme.doublecroche],
          [gamme.la(2), gamme.croche],
          [gamme.silence(), gamme.doublecroche],          
          [gamme.do(2), gamme.doublecroche],
          [gamme.mi(2), gamme.doublecroche],
          [gamme.la(2), gamme.doublecroche],
          [gamme.si(2), gamme.croche],
          [gamme.silence(), gamme.doublecroche],          
          [gamme.mi(2), gamme.doublecroche],
          [gamme.do(3), gamme.doublecroche],
          [gamme.si(2), gamme.doublecroche],
          [gamme.la(2), gamme.croche],
          [gamme.silence(), gamme.doublecroche],          
          [gamme.si(2), gamme.doublecroche],
          [gamme.do(3), gamme.doublecroche],
          [gamme.re(3), gamme.doublecroche],
          [gamme.mi(3), gamme.crochepointee],
          [gamme.sol(2), gamme.doublecroche],
          [gamme.fa(3), gamme.doublecroche],
          [gamme.mi(3), gamme.doublecroche],
          [gamme.re(3), gamme.crochepointee],
          [gamme.fa(2), gamme.doublecroche],
          [gamme.mi(3), gamme.doublecroche],
          [gamme.re(3), gamme.doublecroche],
          [gamme.do(3), gamme.crochepointee],
          [gamme.mi(2), gamme.doublecroche],
          [gamme.re(3), gamme.doublecroche],
          [gamme.do(3), gamme.doublecroche],
          [gamme.si(2), gamme.croche],
          #[gamme.silence(), gamme.doublecroche],          
          #[gamme.mi(2), gamme.doublecroche],
          #[gamme.mi(3), gamme.doublecroche],
          #[gamme.silence(), gamme.croche],          
          #[gamme.mi(3), gamme.doublecroche],
          #[gamme.mi(4), gamme.doublecroche],
          #[gamme.silence(), gamme.croche],          
          #[gamme.red(3), gamme.doublecroche],
          #[gamme.mi(3), gamme.doublecroche],
          #[gamme.silence(), gamme.doublecroche],          
          #[gamme.red(3), gamme.doublecroche],
          #[gamme.mi(3), gamme.doublecroche],
          #[gamme.red(3), gamme.doublecroche],
          #[gamme.mi(3), gamme.doublecroche],
          #[gamme.red(3), gamme.doublecroche],
          #[gamme.mi(3), gamme.doublecroche],
          #[gamme.si(2), gamme.doublecroche],
          #[gamme.re(3), gamme.doublecroche],
          #[gamme.do(3), gamme.doublecroche],
          #[gamme.la(2), gamme.croche],
          #[gamme.silence(), gamme.doublecroche],          
          #[gamme.do(2), gamme.doublecroche],
          #[gamme.mi(2), gamme.doublecroche],
          #[gamme.la(2), gamme.doublecroche],
          #[gamme.si(2), gamme.croche],
          #[gamme.silence(), gamme.doublecroche],          
          #[gamme.mi(2), gamme.doublecroche],
          #[gamme.sold(2), gamme.doublecroche],
          #[gamme.si(2), gamme.doublecroche],
          #[gamme.do(3), gamme.croche],
          #[gamme.silence(), gamme.doublecroche],          
          #[gamme.mi(2), gamme.doublecroche],
          #[gamme.mi(3), gamme.doublecroche],
          #[gamme.red(3), gamme.doublecroche],
          #[gamme.mi(3), gamme.doublecroche],
          #[gamme.red(3), gamme.doublecroche],
          #[gamme.mi(3), gamme.doublecroche],
          #[gamme.si(2), gamme.doublecroche],
          #[gamme.re(3), gamme.doublecroche],
          #[gamme.do(3), gamme.doublecroche],
          #[gamme.la(2), gamme.doublecroche],
          #[gamme.silence(), gamme.doublecroche],          
          #[gamme.do(2), gamme.doublecroche],
          #[gamme.mi(2), gamme.doublecroche],
          #[gamme.la(2), gamme.doublecroche],
          #[gamme.si(2), gamme.croche],
          #[gamme.silence(), gamme.doublecroche],          
          #[gamme.mi(2), gamme.doublecroche],
          #[gamme.do(3), gamme.doublecroche],
          #[gamme.si(2), gamme.doublecroche],
          #[gamme.la(2), gamme.croche],
          #[[gamme.mi(2), gamme.do(3)],gamme.doublecroche],
          #[[gamme.fa(2), gamme.do(3)], gamme.doublecroche],
          #[[gamme.mi(2), gamme.sol(2), gamme.do(3)], gamme.doublecroche],
          #[gamme.fa(2), gamme.doublecroche],
          #[gamme.la(2), gamme.doublecroche],
          #[gamme.do(3), gamme.doublecroche],
          #[gamme.fa(3), gamme.doublecrochepointee],
          #[gamme.mi(3), gamme.triplecroche],
          #[gamme.mi(3), gamme.croche],
          #[gamme.re(3), gamme.croche],
          #[gamme.sib(3), gamme.doublecrochepointee],
          #[gamme.la(3), gamme.triplecroche],
          #[gamme.la(3), gamme.doublecroche],
          #[gamme.sol(3), gamme.doublecroche],
          #[gamme.fa(3), gamme.doublecroche],
          #[gamme.mi(3), gamme.doublecroche],
          #[gamme.re(3), gamme.doublecroche],
          #[gamme.do(3), gamme.doublecroche],
          #[gamme.sib(2), gamme.croche],
          #[gamme.la(2), gamme.croche],
          #[gamme.si(2), gamme.doublecroche],
          #[gamme.la(2), gamme.doublecroche],
          #[gamme.sol(2), gamme.doublecroche],
          #[gamme.la(2), gamme.doublecroche],
          #[gamme.si(2), gamme.doublecroche],
          #[gamme.do(3), gamme.noire],
          #[gamme.re(3), gamme.doublecroche],
          #[gamme.red(3), gamme.doublecroche],
          #[gamme.mi(3), gamme.crochepointee],
          #[gamme.mi(3), gamme.doublecroche],
          #[gamme.fa(3), gamme.doublecroche],
          #[gamme.la(2), gamme.doublecroche],
          #[gamme.do(3), gamme.noire],
          #[gamme.re(3), gamme.doublecrochepointee],
          #[gamme.si(2), gamme.triplecroche],
          #[gamme.do(3), gamme.triplecroche],
          #[gamme.sol(3), gamme.triplecroche],
          #[gamme.sol(2), gamme.triplecroche],
          #[gamme.sol(3), gamme.triplecroche],
          #[gamme.la(2), gamme.triplecroche],
          #[gamme.sol(3), gamme.triplecroche],
          #[gamme.si(3), gamme.triplecroche],
          #[gamme.sol(3), gamme.triplecroche],
          #[gamme.do(3), gamme.triplecroche],
          #[gamme.sol(3), gamme.triplecroche],
          #[gamme.re(3), gamme.triplecroche],
          #[gamme.sol(3), gamme.triplecroche],
          #[gamme.mi(3), gamme.triplecroche],
          #[gamme.sol(3), gamme.triplecroche],
          #[gamme.do(4), gamme.triplecroche],
          #[gamme.si(3), gamme.triplecroche],
          #[gamme.la(3), gamme.triplecroche],
          #[gamme.sol(3), gamme.triplecroche],
          #[gamme.fa(3), gamme.triplecroche],
          #[gamme.mi(3), gamme.triplecroche],
          #[gamme.re(3), gamme.triplecroche],
          #[gamme.sol(3), gamme.triplecroche],
          #[gamme.fa(3), gamme.triplecroche],
          #[gamme.re(3), gamme.triplecroche],
          #[gamme.do(3), gamme.triplecroche],
          #[gamme.sol(3), gamme.triplecroche],
          #[gamme.sol(2), gamme.triplecroche],
          #[gamme.sol(3), gamme.triplecroche],
          #[gamme.la(2), gamme.triplecroche],
          #[gamme.sol(3), gamme.triplecroche],
          #[gamme.si(3), gamme.triplecroche],
          #[gamme.sol(3), gamme.triplecroche],
          #[gamme.do(3), gamme.triplecroche],
          #[gamme.sol(3), gamme.triplecroche],
          #[gamme.re(3), gamme.triplecroche],
          #[gamme.sol(3), gamme.triplecroche],
          #[gamme.mi(3), gamme.triplecroche],
          #[gamme.sol(3), gamme.triplecroche],
          #[gamme.do(4), gamme.triplecroche],
          #[gamme.si(3), gamme.triplecroche],
          #[gamme.la(3), gamme.triplecroche],
          #[gamme.sol(3), gamme.triplecroche],
          #[gamme.fa(3), gamme.triplecroche],
          #[gamme.mi(3), gamme.triplecroche],
          #[gamme.re(3), gamme.triplecroche],
          #[gamme.sol(3), gamme.triplecroche],
          #[gamme.fa(3), gamme.triplecroche],
          #[gamme.re(3), gamme.triplecroche],
          #[gamme.mi(3), gamme.triplecroche],
          #[gamme.fa(3), gamme.triplecroche],
          #[gamme.mi(3), gamme.triplecroche],
          #[gamme.red(3), gamme.triplecroche],
          #[gamme.mi(3), gamme.triplecroche],
          #[gamme.si(2), gamme.triplecroche],
          #[gamme.mi(3), gamme.triplecroche],
          #[gamme.re(3), gamme.triplecroche],
          #[gamme.mi(3), gamme.triplecroche],
          #[gamme.si(2), gamme.triplecroche],
          #[gamme.mi(3), gamme.triplecroche],
          #[gamme.re(3), gamme.triplecroche],
          #[gamme.mi(3), gamme.crochepointee],
          #[gamme.si(2), gamme.doublecroche],
          #[gamme.mi(3), gamme.doublecroche],
          #[gamme.red(3), gamme.doublecroche],
          #[gamme.mi(3), gamme.crochepointee],
          #[gamme.si(2), gamme.doublecroche],
          #[gamme.mi(3), gamme.doublecroche],
          #[gamme.red(3), gamme.doublecroche],
          #[gamme.mi(3), gamme.doublecroche],
          #[gamme.red(3), gamme.doublecroche],
          #[gamme.mi(3), gamme.doublecroche],
          #[gamme.red(3), gamme.doublecroche],
          #[gamme.mi(3), gamme.doublecroche],
          #[gamme.red(3), gamme.doublecroche],
          #[gamme.mi(3), gamme.doublecroche],
          #[gamme.red(3), gamme.doublecroche],
          #[gamme.mi(3), gamme.doublecroche],
          #[gamme.red(3), gamme.doublecroche],
          #[gamme.mi(3), gamme.doublecroche],
          #[gamme.si(2), gamme.doublecroche],
          #[gamme.re(3), gamme.doublecroche],
          #[gamme.do(3), gamme.doublecroche],
          #[gamme.la(2), gamme.croche],
          #[gamme.silence(), gamme.doublecroche] 
          ]#,
          #[gamme.demiSoupir(),
          #gamme.pause(),
          #[gamme.la(0),gamme.doublecroche],
          #[gamme.mi(1), gamme.doublecroche],
          #[gamme.la(1), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #[gamme.mi(0), gamme.doublecroche],
          #[gamme.mi(1), gamme.doublecroche],
          #[gamme.sold(1), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #[gamme.la(0),gamme.doublecroche],
          #[gamme.mi(1), gamme.doublecroche],
          #[gamme.la(1), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #gamme.pause(),
          #[gamme.la(0),gamme.doublecroche],
          #[gamme.mi(1), gamme.doublecroche],
          #[gamme.la(1), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #[gamme.mi(0), gamme.doublecroche],
          #[gamme.mi(1), gamme.doublecroche],
          #[gamme.sold(1), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #[gamme.do(1), gamme.doublecroche],
          #[gamme.sol(1), gamme.doublecroche],
          #[gamme.do(2), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #[gamme.sol(0), gamme.doublecroche],
          #[gamme.sol(1), gamme.doublecroche],
          #[gamme.si(1), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.mi(1), gamme.doublecroche],
          #[gamme.la(1), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #[gamme.mi(0), gamme.doublecroche],
          #[gamme.mi(1), gamme.doublecroche],
          #[gamme.mi(2), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.quartDeSoupir(),
          #[gamme.mi(2), gamme.doublecroche],
          #[gamme.mi(3), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.quartDeSoupir(),
          #[gamme.red(3), gamme.doublecroche],
          #[gamme.mi(3), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.quartDeSoupir(),
          #[gamme.red(3), gamme.doublecroche],
          #[gamme.mi(3), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #gamme.pause(),
          #[gamme.la(0),gamme.doublecroche],
          #[gamme.mi(1), gamme.doublecroche],
          #[gamme.la(1), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #[gamme.mi(0), gamme.doublecroche],
          #[gamme.mi(1), gamme.doublecroche],
          #[gamme.sold(1), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #[gamme.la(0),gamme.doublecroche],
          #[gamme.mi(1), gamme.doublecroche],
          #[gamme.la(1), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #gamme.pause(),
          #[gamme.la(0),gamme.doublecroche],
          #[gamme.mi(1), gamme.doublecroche],
          #[gamme.la(1), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #[gamme.mi(0), gamme.doublecroche],
          #[gamme.mi(1), gamme.doublecroche],
          #[gamme.sold(1), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #[gamme.la(0),gamme.doublecroche],
          #[gamme.mi(1),gamme.doublecroche],
          #[gamme.la(1),gamme.doublecroche],
          #[[gamme.sib(1),gamme.do(2)],gamme.doublecroche],
          #[[gamme.la(1),gamme.do(2)],gamme.doublecroche],
          #[[gamme.sol(1),gamme.sib(1),gamme.do(2)],gamme.doublecroche],
          #[gamme.fa(1), gamme.doublecroche],
          #[gamme.la(1), gamme.doublecroche],
          #[gamme.do(2), gamme.doublecroche],
          #[gamme.la(1), gamme.doublecroche],
          #[gamme.do(2), gamme.doublecroche],
          #[gamme.la(1), gamme.doublecroche],
          #[gamme.fa(1), gamme.doublecroche],
          #[gamme.sib(1), gamme.doublecroche],
          #[gamme.re(2), gamme.doublecroche],
          #[gamme.sib(1), gamme.doublecroche],
          #[gamme.re(2), gamme.doublecroche],
          #[gamme.sib(1), gamme.doublecroche],
          #[gamme.fa(1), gamme.doublecroche],
          #[gamme.mi(2), gamme.doublecroche],
          #[[gamme.fa(1),gamme.sol(1),gamme.sib(1)], gamme.doublecroche],
          #[gamme.mi(2), gamme.doublecroche],
          #[[gamme.fa(1),gamme.sol(1),gamme.sib(1)], gamme.doublecroche],
          #[gamme.mi(2), gamme.doublecroche],
          #[gamme.fa(1), gamme.doublecroche],
          #[gamme.la(1), gamme.doublecroche],
          #[gamme.do(2), gamme.doublecroche],
          #[gamme.la(1), gamme.doublecroche],
          #[gamme.do(2), gamme.doublecroche],
          #[gamme.la(1), gamme.doublecroche],
          #[gamme.fa(1), gamme.doublecroche],
          #[gamme.la(1), gamme.doublecroche],
          #[gamme.do(2), gamme.doublecroche],
          #[gamme.la(1), gamme.doublecroche],
          #[gamme.do(2), gamme.doublecroche],
          #[gamme.la(1), gamme.doublecroche],
          #[gamme.mi(1), gamme.doublecroche],
          #[gamme.la(1), gamme.doublecroche],
          #[gamme.do(2), gamme.doublecroche],
          #[gamme.la(1), gamme.doublecroche],
          #[[gamme.re(1), gamme.re(2)], gamme.doublecroche],
          #[gamme.fa(1), gamme.doublecroche],
          #[gamme.sol(1), gamme.doublecroche],
          #[gamme.mi(2), gamme.doublecroche],
          #[gamme.sol(1), gamme.doublecroche],
          #[gamme.mi(2), gamme.doublecroche],
          #[gamme.sol(1), gamme.doublecroche],
          #[gamme.fa(2), gamme.doublecroche],
          #[[gamme.do(2), gamme.mi(2)], gamme.croche],
          #gamme.quartDeSoupir(),
          #[[gamme.fa(2), gamme.sol(2)], gamme.doublecroche],
          #[[gamme.sol(2), gamme.mi(2)], gamme.doublecroche],
          #[[gamme.re(2), gamme.fa(2), gamme.sol(2)], gamme.doublecroche],
          #[[gamme.do(2), gamme.mi(2), gamme.sol(2)], gamme.croche],
          #[[gamme.fa(1), gamme.la(1)], gamme.croche],
          #[[gamme.sol(1), gamme.si(1)], gamme.croche],
          #[gamme.do(2), gamme.croche],
          #gamme.quartDeSoupir(),
          #[[gamme.fa(2), gamme.sol(2)], gamme.doublecroche],
          #[[gamme.sol(2), gamme.mi(2)], gamme.doublecroche],
          #[[gamme.re(2), gamme.fa(2), gamme.sol(2)], gamme.doublecroche],
          #[[gamme.do(2), gamme.mi(2), gamme.sol(2)], gamme.croche],
          #[[gamme.fa(1), gamme.la(1)], gamme.croche],
          #[[gamme.sol(1), gamme.si(1)], gamme.croche],
          #[[gamme.sold(1), gamme.si(1)], gamme.croche],
          #gamme.soupir(),
          #gamme.pause(),
          #gamme.pause(),
          #gamme.pause(),
          #gamme.pause(),
          #[gamme.la(0),gamme.doublecroche],
          #[gamme.mi(1), gamme.doublecroche],
          #[gamme.la(1), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #[gamme.mi(0), gamme.doublecroche],
          #[gamme.mi(1), gamme.doublecroche],
          #[gamme.sold(1), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #[gamme.la(0),gamme.doublecroche],
          #[gamme.mi(1), gamme.doublecroche],
          #[gamme.la(1), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #gamme.pause(),
          #[gamme.la(0),gamme.doublecroche],
          #[gamme.mi(1), gamme.doublecroche],
          #[gamme.la(1), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #[gamme.mi(0), gamme.doublecroche],
          #[gamme.mi(1), gamme.doublecroche],
          #[gamme.sold(1), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #[gamme.la(0),gamme.doublecroche],
          #[gamme.mi(1), gamme.doublecroche],
          #[gamme.la(1), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #[gamme.do(1),gamme.doublecroche],
          #[gamme.sol(1), gamme.doublecroche],
          #[gamme.do(2), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #[gamme.sol(0),gamme.doublecroche],
          #[gamme.sol(1), gamme.doublecroche],
          #[gamme.si(1), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #[gamme.la(0),gamme.doublecroche],
          #[gamme.mi(1), gamme.doublecroche],
          #[gamme.la(1), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #[gamme.mi(0), gamme.doublecroche],
          #[gamme.mi(1), gamme.doublecroche],
          #[gamme.mi(2), gamme.doublecroche],
          #gamme.demiSoupir(),
          #[gamme.mi(2), gamme.doublecroche],
          #[gamme.mi(3), gamme.doublecroche],
          #gamme.demiSoupir(),
          #[gamme.red(3), gamme.doublecroche],
          #[gamme.mi(3), gamme.doublecroche],
          #gamme.demiSoupir(),
          #[gamme.red(3), gamme.doublecroche],
          #[gamme.mi(3), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #gamme.pause(),
          #[gamme.la(0),gamme.doublecroche],
          #[gamme.mi(1), gamme.doublecroche],
          #[gamme.la(1), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #[gamme.mi(0), gamme.doublecroche],
          #[gamme.mi(1), gamme.doublecroche],
          #[gamme.sold(1), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #[gamme.la(0),gamme.doublecroche],
          #[gamme.mi(1), gamme.doublecroche],
          #[gamme.la(1), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #gamme.pause(),
          #[gamme.la(0),gamme.doublecroche],
          #[gamme.mi(1), gamme.doublecroche],
          #[gamme.la(1), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #[gamme.mi(0), gamme.doublecroche],
          #[gamme.mi(1), gamme.doublecroche],
          #[gamme.sold(1), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],

          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],

          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],

          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[[gamme.re(0), gamme.la(0)], gamme.doublecroche],
          #[[gamme.re(0), gamme.la(0)], gamme.doublecroche],
          #[[gamme.re(0), gamme.la(0)], gamme.doublecroche],
          #[[gamme.re(0), gamme.la(0)], gamme.doublecroche],
          #[[gamme.re(0), gamme.la(0)], gamme.doublecroche],
          #[[gamme.re(0), gamme.la(0)], gamme.doublecroche],
          #[[gamme.red(0), gamme.la(0)], gamme.doublecroche],
          #[[gamme.red(0), gamme.la(0)], gamme.doublecroche],
          #[[gamme.red(0), gamme.la(0)], gamme.doublecroche],
          #[[gamme.red(0), gamme.la(0)], gamme.doublecroche],
          #[[gamme.red(0), gamme.la(0)], gamme.doublecroche],
          #[[gamme.red(0), gamme.la(0)], gamme.doublecroche],
          #[[gamme.mi(0), gamme.la(0)], gamme.doublecroche],
          #[[gamme.mi(0), gamme.la(0)], gamme.doublecroche],
          #[[gamme.mi(0), gamme.la(0)], gamme.doublecroche],
          #[[gamme.mi(0), gamme.la(0)], gamme.doublecroche],
          #[[gamme.mi(0), gamme.fad(0)], gamme.doublecroche],
          #[[gamme.mi(0), gamme.fad(0)], gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.sib(0), gamme.doublecroche],
          #[gamme.sib(0), gamme.doublecroche],
          #[gamme.sib(0), gamme.doublecroche],
          #[gamme.sib(0), gamme.doublecroche],
          #[gamme.sib(0), gamme.doublecroche],
          #[gamme.sib(0), gamme.doublecroche],
          #[gamme.sib(0), gamme.doublecroche],
          #[gamme.sib(0), gamme.doublecroche],
          #[gamme.sib(0), gamme.doublecroche],
          #[gamme.sib(0), gamme.doublecroche],
          #[gamme.sib(0), gamme.doublecroche],
          #[gamme.sib(0), gamme.doublecroche],
          #[gamme.si(0), gamme.doublecroche],
          #[gamme.si(0), gamme.doublecroche],
          #[gamme.si(0), gamme.doublecroche],
          #[gamme.si(0), gamme.doublecroche],
          #[gamme.si(0), gamme.doublecroche],
          #[gamme.si(0), gamme.doublecroche],
          #[gamme.do(1), gamme.noire],
          #gamme.soupir(),
          #[[gamme.mi(1), gamme.sold(1)], gamme.croche],
          #gamme.soupir(),
          #gamme.soupir(),
          #[gamme.la(0), gamme.croche],
          #gamme.soupir(),
          #[[gamme.la(1), gamme.do(2), gamme.mi(2)], gamme.croche],
          #[[gamme.la(1), gamme.do(2), gamme.mi(2)], gamme.croche],
          #gamme.soupir(),
          #[[gamme.la(1), gamme.do(2), gamme.mi(2)], gamme.croche],
          #[[gamme.la(1), gamme.do(2), gamme.mi(2)], gamme.croche],
          #gamme.soupir(),
          #[[gamme.la(1), gamme.do(2), gamme.mi(2)], gamme.croche],
          #[[gamme.la(1), gamme.do(2), gamme.mi(2)], gamme.croche],
          #gamme.soupir(),
          #gamme.soupir(),
          #gamme.pause(),
          #gamme.pause(),
          #[gamme.la(0),gamme.doublecroche],
          #[gamme.mi(1), gamme.doublecroche],
          #[gamme.la(1), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #[gamme.mi(0), gamme.doublecroche],
          #[gamme.mi(1), gamme.doublecroche],
          #[gamme.sold(1), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.mi(1), gamme.doublecroche],
          #[gamme.la(1), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #gamme.pause(),
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.mi(1), gamme.doublecroche],
          #[gamme.la(1), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #[gamme.mi(0), gamme.doublecroche],
          #[gamme.mi(1), gamme.doublecroche],
          #[gamme.sold(1), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #[gamme.la(0), gamme.doublecroche],
          #[gamme.mi(1), gamme.doublecroche],
          #[gamme.la(1), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #[gamme.do(1), gamme.doublecroche],
          #[gamme.sol(1), gamme.doublecroche],
          #[gamme.do(2), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #[gamme.fa(0), gamme.doublecroche],
          #[gamme.sol(1), gamme.doublecroche],
          #[gamme.si(1), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #[gamme.la(0),gamme.doublecroche],
          #[gamme.mi(1), gamme.doublecroche],
          #[gamme.la(1), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #[gamme.mi(0),gamme.doublecroche],
          #[gamme.mi(1), gamme.doublecroche],
          #[gamme.mi(2), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #[gamme.mi(2), gamme.doublecroche],
          #[gamme.mi(3), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #[gamme.red(3), gamme.doublecroche],
          #[gamme.mi(3), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #[gamme.red(3), gamme.doublecroche],
          #[gamme.mi(3), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #gamme.pause(),
          #[gamme.la(0),gamme.doublecroche],
          #[gamme.mi(1), gamme.doublecroche],
          #[gamme.la(1), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #[gamme.mi(0), gamme.doublecroche],
          #[gamme.mi(1), gamme.doublecroche],
          #[gamme.sold(1), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #[gamme.la(0),gamme.doublecroche],
          #[gamme.mi(1), gamme.doublecroche],
          #[gamme.la(1), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #gamme.pause(),
          #[gamme.la(0),gamme.doublecroche],
          #[gamme.mi(1), gamme.doublecroche],
          #[gamme.la(1), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #[gamme.mi(0), gamme.doublecroche],
          #[gamme.mi(1), gamme.doublecroche],
          #[gamme.sold(1), gamme.doublecroche],
          #gamme.quartDeSoupir(),
          #gamme.demiSoupir(),
          #[gamme.la(0), gamme.croche]]
          ]

if args.exerciceSpectrogramme:
  g = GenerateurExercice(gamme.bpm)
  g.setBoomwhackers(boomwhackers)
  g.genererExerciceSpectrogramme(elise, "exercices/ex-spec-elise.tex", "La lettre à Élise")
else:
  print "Génération de la version \"piano\""
  s = BasicSequenceur(1, gamme.bpm, 3)
  s.genererMelodie(elise, "sons/elise.wav")
